Bug 611267 - compat-db46 and compat-db45 have a too low release in Fedora 13
compat-db46 and compat-db45 have a too low release in Fedora 13
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: compat-db (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 11:29 EDT by Till Maas
Modified: 2013-07-02 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-09 07:41:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2010-07-04 11:29:38 EDT
Description of problem:

Compare compat-db46 in F12 and F13:
compat-db46-0:4.6.21-11.fc12.x86_64
compat-db46-0:4.6.21-3.fc13.x86_64
                     ^
The compat-db46 release value in F13 is less than the release value used. But you need to ensure that the release value for F13 is greater than the release value in F12. The easiest way might be to now bump the release to 11.%{?dist} in F13 and then only increase the release value in F12 after the %{?dist}, e.g. the next release value for F12 would be:

11%{?dist}.1

Another option would be to not use the same release value for the dbXX subpackages that the main package uses, but e.g.

%global db46_release 11
%global main_release 3

Main package:
Release: %{main_release}%{?dist}
Requires: compat-db46%{?_isa} = %{db46_version}-%{db46_release}%{?dist}.%{main_release}

sb46 Sub package:
Release: %{db46_release}%{?dist}.%{main_release}
Comment 1 Jindrich Novy 2010-11-09 07:41:15 EST
Fixed by the released compat-db update. It's been out for a while already.

Note You need to log in before you can comment on or make changes to this bug.